#
# spec file for package xf86-video-tdfx
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xf86-video-tdfx
Version:        1.4.7
Release:        lp150.1.4
Summary:        3Dfx video driver for the Xorg X server
License:        MIT
Group:          System/X11/Servers/XF86_4
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/driver/%{name}-%{version}.tar.bz2
BuildRequires:  Mesa-devel
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(fontsproto)
BuildRequires:  pkgconfig(libdrm) >= 2.0
BuildRequires:  pkgconfig(pciaccess) >= 0.8.0
BuildRequires:  pkgconfig(randrproto)
BuildRequires:  pkgconfig(renderproto)
BuildRequires:  pkgconfig(videoproto)
BuildRequires:  pkgconfig(xextproto)
BuildRequires:  pkgconfig(xf86driproto)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xorg-server) >= 1.0.99.901
BuildRequires:  pkgconfig(xproto)
Supplements:    modalias(xorg-x11-server:pci:v0000121Ad*sv*sd*bc03sc*i*)
# This was part of the xorg-x11-driver-video package up to version 7.6
Conflicts:      xorg-x11-driver-video <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExcludeArch:    s390 s390x
%x11_abi_videodrv_req

%description
tdfx is an Xorg driver for 3Dfx video cards.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%dir %{_libdir}/xorg/modules/drivers
%{_libdir}/xorg/modules/drivers/tdfx_drv.so
%{_datadir}/man/man4/tdfx.4%{?ext_man}

%changelog
* Thu Jan 19 2017 sndirsch@suse.com
- Update to version 1.4.6
  * Adapt Block/WakeupHandler signature for ABI 23
- supersedes U_Adapt-Block-WakeupHandler-signature-for-ABI-23.patch
* Wed Nov 30 2016 sndirsch@suse.com
- U_Adapt-Block-WakeupHandler-signature-for-ABI-23.patch
  * Adapt Block/WakeupHandler signature for ABI 23
* Mon Feb 23 2015 sndirsch@suse.com
- Update to version 1.4.6:
  * Remove mibstore.h
  * dri: Stop (uselessly) initializing the ValidateTree hooks
  * Define local PCI IDs instead of using xf86PciInfo.h
  * Rename XSERVER_PCIACCESS to XSERVER_LIBPCIACCESS
  * Use new pci_device_(un)map_range functions instead of deprecated ones
  * Remove unreachable breaks after return statements
  * Use the PCI ID macros instead of hardcoded values
  * Unmap MMIO ranges for all chips
  * Add more PCI IDs for supported chips
- supersedes U_Remove-mibstore.h.patch,
  U_Rename-XSERVER_PCIACCESS-to-XSERVER_LIBPCIACCESS.patch,
  U_dri-Stop-uselessly-initializing-the-ValidateTree-hoo.patch
* Fri Feb  6 2015 sndirsch@suse.com
- U_Rename-XSERVER_PCIACCESS-to-XSERVER_LIBPCIACCESS.patch/
  U_dri-Stop-uselessly-initializing-the-ValidateTree-hoo.patch
  * fixes build against xorg-server 1.17
* Wed Aug  7 2013 ro@suse.de
- add ExcludeArch for s390 and s390x
* Thu Mar 21 2013 sndirsch@suse.com
- Add mibstore.patch, fixes build with xorg-server 1.14
* Wed Mar 20 2013 sndirsch@suse.com
- introduce hardware supplements conditional on xorg-x11-server
  package (bnc#810333)
* Sun Sep  2 2012 zaitor@opensuse.org
- Update to version 1.4.5:
  + Fix build against XAA-less server.
  + Port to new compat API.
* Thu Apr 19 2012 dimstar@opensuse.org
- Update to version 1.4.4:
  + Untangle XF86DRI from the driver-specific DRI define
  + Fix for new vgaHW ABI
  + Check ABI major not encoded ABI
  + Adapt to missing PIOOffset in vgahw
  + Fix compiler warnings about signedness
- Drop xf86-video-tdfx.diff: Fixed upstream.
- Use %%x11_abi_videodrv_req instead of static ABI Requires.
* Wed Apr 18 2012 vuntz@opensuse.org
- Split xf86-video-tdfx from xorg-x11-driver-video.
  Initial version: 1.4.3.
